> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List activity

> Use when you need the audit trail of changes to billing entities: who changed what, when, from where. Filter by entity, customer, actor, action or request; pages are newest first.



## OpenAPI

````yaml https://swagger.flexprice.io post /activity
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /activity:
    post:
      tags:
        - Activity
      summary: List activity
      description: >-
        Use when you need the audit trail of changes to billing entities: who
        changed what, when, from where. Filter by entity, customer, actor,
        action or request; pages are newest first.
      operationId: listActivity
      requestBody:
        description: Filters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListActivityRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListActivityResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: go
          label: Go
          source: "package main\n\nimport(\n\t\"context\"\n\tflexprice \"github.com/flexprice/go-sdk/v2\"\n\t\"github.com/flexprice/go-sdk/v2/models/types\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := flexprice.New(\n        flexprice.WithSecurity(\"<YOUR_API_KEY_HERE>\"),\n    )\n\n    res, err := s.Activity.ListActivity(ctx, types.ListActivityRequest{})\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ListActivityResponse != nil {\n        // handle response\n    }\n}"
        - lang: python
          label: Python
          source: |-
            from flexprice import Flexprice


            with Flexprice(
                api_key_auth="<YOUR_API_KEY_HERE>",
            ) as f_client:

                res = f_client.activity.list_activity()

                # Handle response
                print(res)
        - lang: typescript
          label: TypeScript
          source: |-
            import { Flexprice } from "@flexprice/sdk";

            const flexprice = new Flexprice({
              apiKeyAuth: "<YOUR_API_KEY_HERE>",
            });

            async function run() {
              const result = await flexprice.activity.listActivity({});

              console.log(result);
            }

            run();
components:
  schemas:
    ListActivityRequest:
      type: object
      properties:
        actions:
          type: array
          items:
            type: string
        actor_id:
          type: string
        actor_types:
          type: array
          items:
            type: string
        cursor:
          type: string
        customer_id:
          type: string
        end_time:
          type: string
          format: date-time
        entity_id:
          type: string
        entity_type:
          type: string
        expand:
          type: array
          items:
            type: string
        limit:
          type: integer
        request_id:
          type: string
        start_time:
          type: string
          format: date-time
    ListActivityResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ActivityResponse'
        pagination:
          $ref: '#/components/schemas/ActivityPagination'
    errors.ErrorResponse:
      type: object
      properties:
        code:
          $ref: '#/components/schemas/errors.ErrorCode'
        http_status_code:
          type: integer
        message:
          type: string
      x-speakeasy-name-override: ErrorResponse
    ActivityResponse:
      type: object
      properties:
        action:
          type: string
        actor:
          $ref: '#/components/schemas/ActivityActor'
        customer_id:
          type: string
        entity:
          $ref: '#/components/schemas/ActivityEntity'
        id:
          type: string
        ip:
          type: string
        occurred_at:
          type: string
          format: date-time
        request_id:
          type: string
        source:
          type: string
        state:
          type: object
          properties: {}
        user_agent:
          type: string
    ActivityPagination:
      type: object
      properties:
        has_more:
          type: boolean
        limit:
          type: integer
        next_cursor:
          type: string
    errors.ErrorCode:
      type: string
      enum:
        - http_client_error
        - system_error
        - internal_error
        - not_found
        - already_exists
        - version_conflict
        - validation_error
        - invalid_operation
        - permission_denied
        - database_error
        - service_unavailable
        - too_many_requests
        - not_implemented
      x-enum-varnames:
        - ErrCodeHTTPClient
        - ErrCodeSystemError
        - ErrCodeInternalError
        - ErrCodeNotFound
        - ErrCodeAlreadyExists
        - ErrCodeVersionConflict
        - ErrCodeValidation
        - ErrCodeInvalidOperation
        - ErrCodePermissionDenied
        - ErrCodeDatabase
        - ErrCodeServiceUnavailable
        - ErrCodeTooManyRequests
        - ErrCodeNotImplemented
      x-speakeasy-name-override: ErrorCode
    ActivityActor:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
        type:
          type: string
    ActivityEntity:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
        type:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Enter your API key in the format *x-api-key &lt;api-key&gt;**
      name: x-api-key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.